Subject: [secdir] secdir review of draft-ietf-mpls-mldp-node-protection-05

From: "Shaun Cooley (shcooley)" <[email-masked]>
Date: Mon, 7 Sep 2015 15:40:07 +0000

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This document introduces a node protection mechanism for point-to-multipoint and multipoint-to-multipoint label switched paths that is established via multipoint label distribution protocol (mLDP).  Given that all participating nodes in this scheme must be manually configured to do so, I agree with the authors' position that this mechanism introduces no additional security considerations beyond what is already known for the underlying protocol - which is documented in RFC 5920 and RFC 6388.

I consider this document ready for publication.

-Shaun